package de.ugoe.cs.autoquest.usability.evaluation.rule.set;

import com.google.common.base.Optional;

import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTree;
import de.ugoe.cs.autoquest.usability.evaluation.result.UsabilityDefect;

public interface UsabilityRule {
    
    public String ruleIdentifier();
    
    public Optional<UsabilityDefect> evaluate(ITaskTree taskTree);

}
